GET4D(1)

NAME
get4d - get RLE images to a Silicon Graphics Iris/4D display

SYNOPSIS
get4d [ -D ] [ -f ] [ -{GS} ] [ -g disp_gamma ] [ -{iI} image_gamma ] [ -n ] [ -p xpos ypos ] [ -s xsize ysize ] [ -w ] [ infile ]

DESCRIPTION
This program displays an RLE(5) file on a Silicon Graphics Iris/4D display or IBM RS6000 with the GL library. The default behavior is to display the image in RGB color. An option is provided to force black and white display. There is currently no support in get4D for non-24-bit color (lookup table modes), but the getmex (1) program should work on 8-bit 4D's which cannot do RGB display. The GT graphics fast pixel access routines are used by default on 4D/GT and GTX machines, and Personal Irises. The -G option is provided to force this mode, if the string returned by the gversion(3g) function changes, or is different on future 4D's. The penalty of GT mode is not being able to resize or pan the window, but redisplay is so fast that there is no need to do so. You can also go into "slow mode" on GT machines by giving the -S flag. Slow mode allows resizing the window and panning with the mouse.

OPTIONS

-p xpos ypos
    Position of the lower left corner of the window.

-s xsize ysize
    Initial size of the window (slow mode only.)

-f  Normally, get4d will fork itself after putting the image on the screen, so that the parent process may return the shell, leaving an "invisible" child to keep the image refreshed. If -f is specified, get4d will remain attached to the shell, whence it may be killed with an interrupt signal. In either case the window manager "quit" menu button can be used to kill get4d.

-g display_gamma
    Specify the gamma of the display monitor. If this flag is not specified, get4d looks in the user's home directory for a .gamma file. This file is produced by the gamma(1g) SGI command (This is not done on the IBM R6000). The value in the .gamma file is used to determine the gamma of the display by calculating (2.4 / gamma_value ) and using that as the disp_gamma.

-i image_gamma
    Specify the gamma (contrast) of the image. A low contrast image, suited for direct display without compensation on a high contrast monitor (as most monitors are) will have a gamma of less than one. The default image gamma is 1.0. Image gamma may also be specified by a picture comment in the RLE (5) file of the form image_gamma=gamma. The command line argument will override the value in the file if specified.

-I image_gamma
    An alternate method of specifying the image gamma, the number following -I is the gamma of the display for which the image was originally computed (and is therefore 1.0 divided by the actual gamma of the image). Image display gamma may also be specified by a picture comment in the RLE (5) file of the form display_gamma=gamma. The command line argument will override the value in the file if specified.

-n  Do not draw a window border.

-w  This flag forces get4d to produce a gray scale dithered image instead of a color image. Color input will be transformed to black and white via the NTSC Y transform.

-D  "Debug mode". The operations in the input RLE(5) file will be printed as they are read.

file
    Name of the RLE(5) file to display. If not specified, the image will be read from the standard input.

In "slow mode" You can "pan" a small window around in an image by clicking the left mouse button in the image. The position in the image under the cursor will jump to the center of the window. The F9 key or Alt keys reset the view to position the center of the image in the center of the window. Furthermore, control-F9 (or control-Alt) saves the current view, and shift-F9 (or shift-Alt) restores it.

NOTE
If you have a shaded image that looks "too dark", it is probably because the gamma is not set on the display. (The default gamma is 1, which assumes that gamma compensation will be done once and for all by programs producing images.) gamma 2 is better when the image producing program does not do the gamma correction. You may want to put a gamma command in your .login file.

SEE ALSO
getmex(1), urt(1), gversion(3g), gamma(1g), RLE(5).

AUTHOR
Russ Fish, University of Utah. Based on getX, by Spencer W. Thomas.